Exporting with a deprecated template fails on Java 11

Description

When running Confluence on Java 11 the export fails with the exception below.

This happens because the related code that we bundle for the deprecated templates is not compatible with this Java version. The affected code path is only entered when exporting with a deprecated template.

 

 

Environment

None

Assignee

Unassigned

Reporter

Sync User [K15t]

Labels

None

Participants

None

QA Status

None

Deployment

Server

Documentation Status

None

UI Concept

None

External Votes

None

Components

Fix versions

Priority

Major
Configure